Bug 9397 - Error Messages hard to find for Visually Impaired Users (Accessibility) [Returning Items]
Summary: Error Messages hard to find for Visually Impaired Users (Accessibility) [Retu...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Corey
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 21:00 UTC by Corey
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch which emphasises Error Messages (1.18 KB, text/plain)
2013-01-15 21:09 UTC, Corey
Details
Patch which emphasises Error Messages {REVISED} (1.13 KB, patch)
2013-01-15 21:52 UTC, Corey
Details | Diff | Splinter Review
bug 9397 - Error Messages hard to find for Visually Impaired Users (Accessibility) [Returning Items] {REVISION 1.1} (1.28 KB, patch)
2013-01-15 22:18 UTC, Liz Rea
Details | Diff | Splinter Review
bug 9397 - Error Messages hard to find for Visually Impaired Users (Accessibility) [Returning Items] {REVISION 1.1} (1.92 KB, patch)
2013-02-28 13:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Corey 2013-01-15 21:00:39 UTC
Checking in items that might trigger an error message, are normally witnessed by the Administrator/Librarian. For Visually Impaired Users, this might not be as easy.

Screen Reading Applications normally detect and read back headers back to users, so adding tags might be useful for the current time.
Comment 1 Corey 2013-01-15 21:09:59 UTC Comment hidden (obsolete)
Comment 2 Corey 2013-01-15 21:52:02 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2013-01-15 22:18:28 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-28 13:44:05 UTC
Created attachment 15768 [details] [review]
bug 9397 - Error Messages hard to find for Visually Impaired Users (Accessibility) [Returning Items] {REVISION 1.1}

testing procedure:
1. Check in Invalid Item
2. See that new header has been added. "Can't Check in"

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
A followup may come that makes this text invisible, but this helps accessibility a great dea, and passes validation.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: replace "Can't Check in" with "Cannot check in" and
delete a h3 element with the same text in order to avoid duplicated
messages.
Comment 5 Jonathan Druart 2013-02-28 13:44:22 UTC
QA comment:

String modification. I don't see any reason to reject this patch.

Marked as Passed QA.
Comment 6 Jared Camins-Esakov 2013-03-02 17:18:35 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-04-25 06:07:16 UTC
Pushed to 3.10.x will be in 3.10.6